<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Example of creating SUIF</TITLE>
<link href="builder_29.html" rel=Next>
<link href="builder_27.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_27.html">previous</A>, <A HREF="builder_29.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC59" HREF="builder_toc.html#TOC59">Example of Creating SUIF</A></H2>

<PRE>
        block i(block::new_sym(cst_int, "i"));
        block assign(i = i * block(-1));
        block test(i &#62;= block(0));
        instruction * ins_a = assign.make_instruction();
        instruction * ins_t = test.make_instruction();

        block chk(block::IF(test, assign));
        tree_node * tn_chk = chk.make_tree_node();

        block chk_add(chk, 
                      block(i = i + block(0)));
        tree_node_list * tnl_chk_add = chk_add.make_tree_node_list();
</PRE>

<P>
<A NAME="IDX147"></A>

</P>
<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_27.html">previous</A>, <A HREF="builder_29.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
